This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508169 - Channel - broken link to 'delete software channel' on several pages
Channel - broken link to 'delete software channel' on several pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Petr Sklenar
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-25 17:07 EDT by Brad Buckingham
Modified: 2009-09-10 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:38:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2009-06-25 17:07:06 EDT
Description of problem:

There are several pages under the Manage Software Channels that have the
'delete software channels' pointing to a dead perl page resulting in a : 
404 Error - File Not Found

For example, they point to:
   https://<server>/network/software/channels/manage/delete_confirm.pxt?cid=

however, they should be:
   https://<server>/rhn/channels/manage/Delete.do?cid=2191

Version-Release number of selected component (if applicable):
5.3.0

How reproducible:
always

Steps to Reproduce:

1. click on 'delete software channel' from any of the following:
   (note: when fixing the bug, make sure there are no other broken references)

Channels -> Manage Software Channels -> Channel
  -> Errata -> List/Remove
            -> Add
            -> Sync
  -> Packages -> List/Remove
              -> Add

Actual results:
404 Error - File Not Found

Expected results:
user goes to delete confirmation page

Additional info:
Comment 1 Brad Buckingham 2009-06-25 17:33:13 EDT
Found the same problem on :

Channels -> Manage Software Channels -> channel -> Organizations
Comment 2 Brad Buckingham 2009-06-25 17:46:33 EDT
master git commit: d6d62ab7e85e9f23ef690ed6f65be23c9c8e561a
vader git commit: 7199612c442c40fc67046895be6c175cc1a8b983
Comment 3 Petr Sklenar 2009-06-30 07:26:09 EDT
rhel4
Satellite-5.3.0-RHEL4-re20090625.0
delete channel in places :
Channels -> Manage Software Channels -> Channel
  -> Errata -> List/Remove
            -> Add
            -> Sync
  -> Packages -> List/Remove
              -> Add
works

I will look at rhel5 in a moment
Comment 4 Petr Sklenar 2009-06-30 07:50:35 EDT
RHEL5
x8664
Satellite-5.3.0-RHEL5-re20090625.0

'delete software channels' work also on RHEL5, tried x8664 Satellite-5.3.0-RHEL5-re20090625.0

all links lead too http://<server>rhn/channels/manage/Delete.do?cid=127 , where channel could be deleted

PASSed
Comment 5 Petr Sklenar 2009-08-20 08:45:17 EDT
delete software channel works in all places under Manage Software Channels
tried Satellite-5.3.0-RHEL5-re20090814.0

moving to release_pending
Comment 6 Brandon Perkins 2009-09-10 16:38:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.